Bug 168647 - PDFs printed by evince don't work.
PDFs printed by evince don't work.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-18 20:41 EDT by Rodd Clarkson
Modified: 2009-01-09 01:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:54:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodd Clarkson 2005-09-18 20:41:52 EDT
Description of problem:


Version-Release number of selected component (if applicable):

Evince can't print PDF's even though it claims to be able to.  All the steps
seem right, but no file is produced.

How reproducible:

Everytime, and in different locations.

Steps to Reproduce:
1. Open a PDF.
2. Click Edit > Print
3. Select "Create a PDF document"
4. In Location, click save as and select a folder (/tmp) and a file name
(output.pdf).
5. Click print.
6. Look in the folder above for a file named appropriately.
  
Actual results:

No file appears in the folder in question.

Expected results:

A file of the right name should be there.
Comment 1 Bug Zapper 2008-04-03 12:22:28 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Rodd Clarkson 2008-04-05 19:40:59 EDT
Okay, I can print a PDF to a PDF with evince, but the resulting PDF crashes
evince.  Here's the backtrace.

Distribution: Fedora release 8 (Werewolf)
Gnome Release: 2.20.3 2008-01-08 (Red Hat, Inc)
BugBuddy Version: 2.20.1

System: Linux 2.6.24.4-64.fc8 #1 SMP Sat Mar 29 09:54:46 EDT 2008 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10300000
Selinux: Enforcing
Accessibility: Disabled
GTK+ Theme: Nodoka
Icon Theme: Fedora

Memory status: size: 65187840 vsize: 65187840 resident: 25989120 share: 12095488
rss: 25989120 rss_rlim: 4294967295
CPU usage: start_time: 1207438484 rtime: 530 utime: 498 stime: 32 cutime:0
cstime: 0 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/evince'

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208432864 (LWP 14166)]
[New Thread -1211585648 (LWP 14167)]
0x00110402 in __kernel_vsyscall ()
#0  0x00110402 in __kernel_vsyscall ()
#1  0x00d08ac3 in poll () from /lib/libc.so.6
#2  0x055a9623 in ?? () from /lib/libglib-2.0.so.0
#3  0x055a9999 in g_main_loop_run () from /lib/libglib-2.0.so.0
#4  0x057d6422 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#5  0x08086c80 in main (argc=2, argv=) at main.c:383
#6  0x00c55390 in __libc_start_main () from /lib/libc.so.6
#7  0x0805aa61 in _start ()

Thread 2 (Thread -1211585648 (LWP 14167)):
#0  0x00110402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00dd947b in waitpid () from /lib/libpthread.so.0
No symbol table info available.
#2  0x055d7f47 in g_spawn_sync () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x055d824c in g_spawn_command_line_sync () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x0013d350 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#5  0x0013d659 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#6  0x0013db73 in google_breakpad::ExceptionHandler::InternalWriteMinidump ()
   from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#7  0x0013e08e in google_breakpad::ExceptionHandler::HandleException ()
   from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#8  <signal handler called>
No symbol table info available.
#9  0x00110402 in __kernel_vsyscall ()
No symbol table info available.
#10 0x00c68690 in raise () from /lib/libc.so.6
No symbol table info available.
#11 0x00c69f91 in abort () from /lib/libc.so.6
No symbol table info available.
#12 0x00c6193e in __assert_fail () from /lib/libc.so.6
No symbol table info available.
#13 0x00858916 in CairoOutputDev::drawImageMaskPrescaled (this=0x9761318, 
    state=0x9b53e50, ref=0x0, str=0x9b4b810, width=0, 
    height=<value optimized out>, invert=1, inlineImg=1)
    at CairoOutputDev.cc:923
	i = 0
	p = (unsigned char *) 0x9b54578 ""
	head_pad_count = 0
	origHeight_count = 0
	tail_pad_count = 0
	n = 1
	yStep = 1
	xt = 0
	xSrc = 0
	n = 0
	head_pad_size = 0
	pix_size = 0
	tail_pad_size = 0
	image = <value optimized out>
	pattern = <value optimized out>
	imgStr = (ImageStream *) 0x9b3db60
	pix = (Guchar *) 0x0
	matrix = {xx = 0, yx = 0, xy = 0, yy = 0, x0 = 278.34612983510971, 
  y0 = 1393.0081501411114}
	invert_bit = 1
	row_stride = 4
	xScale = 0
	yScale = 0
	tx = 278
	tx2 = <value optimized out>
	ty = <value optimized out>
	ty2 = 1393
	scaledHeight = 1
	scaledWidth = 2
	head_pad = 0
	tail_pad = 0
	origHeight = 0
	yt = 0
	lastYStep = <value optimized out>
	total = 1
	__PRETTY_FUNCTION__ = "void CairoOutputDev::drawImageMaskPrescaled(GfxState*,
Object*, Stream*, int, int, GBool, GBool)"
#14 0x00858d10 in CairoOutputDev::drawImageMask (this=0x9761318, 
    state=0x9b53e50, ref=0x0, str=0x9b4b810, width=0, height=0, invert=1, 
    inlineImg=1) at CairoOutputDev.cc:699
	matrix = {xx = 0, yx = 0, xy = 0, yy = 0, x0 = 278.34612983510971, 
  y0 = 1393.0081501411114}
#15 0x04e5db10 in Gfx::doImage (this=0x9a5a990, ref=0x0, str=0x9b4b810, 
    inlineImg=1) at Gfx.cc:3503
	dict = <value optimized out>
	maskDict = <value optimized out>
	width = 0
	height = 0
	bits = 1
	maskBits = <value optimized out>
	csMode = streamCSNone
	mask = -1211590332
	invert = <value optimized out>
	colorSpace = <value optimized out>
	maskColorSpace = <value optimized out>
	colorMap = <value optimized out>
	maskColorMap = <value optimized out>
	maskObj = {type = objNone, {booln = 0, intg = 0, 
    real = 1.4853970536756906e-313, string = 0x0, name = 0x0, array = 0x0, 
    dict = 0x0, stream = 0x0, ref = {num = 0, gen = 7}, cmd = 0x0}}
	smaskObj = {type = objNone, {booln = 81754324, intg = 81754324, 
    real = 2.7626337285435915e-313, string = 0x4df78d4, 
    name = 0x4df78d4 "?h", array = 0x4df78d4, dict = 0x4df78d4, 
    stream = 0x4df78d4, ref = {num = 81754324, gen = 13}, 
    cmd = 0x4df78d4 "?h"}}
	maskColors = {162874536, -1, -1210726222, 0, 0, -1211590457, 
  14242128, 162874524, 14242128, -1211590536, 82674289, 41, 14242100, 0, 0, 
  162874744, 3, 82418349, 82109532, 82886239, 162837040, -1211590456, 
  82438887, 162874524, 0, 5, 83217448, 162838544, 162838544, -1211590360, 
  82496141, -1211590408, 82886239, -1211590408, 81730644, -1208395312, 
  -1211590384, 1581112, -1211590384, 0, -1211590408, -1211590392, 13, 
  162838544, 0, 13, 83217448, 162838544, 13, -1211590360, 82491945, 13, 
  -1211590288, 82495755, 83217448, 162879128, 162838544, -1211590264, 
  82165509, 162838544, -1211590288, -1211590288, 0, 0}
	maskWidth = <value optimized out>
	maskHeight = <value optimized out>
	maskInvert = <value optimized out>
	maskStr = <value optimized out>
	obj1 = {type = objNone, {booln = 162837632, intg = 162837632, 
    real = 8.0452479821339235e-316, string = 0x9b4b480, 
    name = 0x9b4b480 "èJ \t¨¸¨\t\b", array = 0x9b4b480, dict = 0x9b4b480, 
    stream = 0x9b4b480, ref = {num = 162837632, gen = 0}, 
    cmd = 0x9b4b480 "èJ \t¨¸¨\t\b"}}
	obj2 = {type = objNone, {booln = 1, intg = 1, 
    real = 3.3951932655938423e-313, string = 0x1, 
    name = 0x1 <Address 0x1 out of bounds>, array = 0x1, dict = 0x1, 
    stream = 0x1, ref = {num = 1, gen = 16}, 
    cmd = 0x1 <Address 0x1 out of bounds>}}
	i = <value optimized out>
#16 0x04e5e7b1 in Gfx::opBeginImage (this=0x9a5a990, args=0xb7c89a44, 
    numArgs=0) at Gfx.cc:3921
	str = (class Stream *) 0x9b4b810
	c1 = 82175867
	c2 = <value optimized out>
#17 0x04e5b923 in Gfx::execOp (this=0x9a5a990, cmd=0xb7c89bd0, 
    args=0xb7c89a44, numArgs=<value optimized out>) at Gfx.cc:726
	op = (Operator *) 0x4f6c604
	name = 0x9a847f0 "BI"
	argPtr = (Object *) 0xb7c89a44
	i = 6
#18 0x04e5c75c in Gfx::go (this=0x9a5a990, topLevel=0) at Gfx.cc:594
	obj = {type = objCmd, {booln = 162023408, intg = 162023408, 
    real = 8.0050199714919792e-316, string = 0x9a847f0, 
    name = 0x9a847f0 "BI", array = 0x9a847f0, dict = 0x9a847f0, 
    stream = 0x9a847f0, ref = {num = 162023408, gen = 0}, 
    cmd = 0x9a847f0 "BI"}}
	args = {{type = objNone, {booln = 0, intg = 0, real = 0, 
      string = 0x0, name = 0x0, array = 0x0, dict = 0x0, stream = 0x0, ref = {
        num = 0, gen = 0}, cmd = 0x0}}, {type = objNone, {booln = 0, 
      intg = 0, real = 0, string = 0x0, name = 0x0, array = 0x0, dict = 0x0, 
      stream = 0x0, ref = {num = 0, gen = 0}, cmd = 0x0}}, {type = objNone, {
      booln = 0, intg = 0, real = 0, string = 0x0, name = 0x0, array = 0x0, 
      dict = 0x0, stream = 0x0, ref = {num = 0, gen = 0}, cmd = 0x0}}, {
    type = objNone, {booln = 0, intg = 0, real = 0, string = 0x0, name = 0x0, 
      array = 0x0, dict = 0x0, stream = 0x0, ref = {num = 0, gen = 0}, 
      cmd = 0x0}}, {type = objNone, {booln = 0, intg = 0, real = 0, 
      string = 0x0, name = 0x0, array = 0x0, dict = 0x0, stream = 0x0, ref = {
        num = 0, gen = 0}, cmd = 0x0}}, {type = objNone, {booln = 0, 
      intg = 0, real = 0, string = 0x0, name = 0x0, array = 0x0, dict = 0x0, 
      stream = 0x0, ref = {num = 0, gen = 0}, cmd = 0x0}}, {type = objNone, {
      booln = 162874760, intg = 162874760, real = 9.7776225844210676e-285, 
      string = 0x9b54588, name = 0x9b54588 "È¿õ\004\001", array = 0x9b54588, 
      dict = 0x9b54588, stream = 0x9b54588, ref = {num = 162874760, 
        gen = 83313504}, cmd = 0x9b54588 "È¿õ\004\001"}}, {type = objNone, {
      booln = 5, intg = 5, real = 2.4703282292062327e-323, string = 0x5, 
      name = 0x5 <Address 0x5 out of bounds>, array = 0x5, dict = 0x5, 
      stream = 0x5, ref = {num = 5, gen = 0}, 
      cmd = 0x5 <Address 0x5 out of bounds>}}, {type = objNone, {
      booln = -1211589928, intg = -1211589928, 
      real = 5.5819799516863666e-285, string = 0xb7c89ad8, 
      name = 0xb7c89ad8 "ø\232È·¨®ê\004\r", array = 0xb7c89ad8, 
      dict = 0xb7c89ad8, stream = 0xb7c89ad8, ref = {num = -1211589928, 
        gen = 82481092}, cmd = 0xb7c89ad8 "ø\232È·¨®ê\004\r"}}, {
    type = objNone, {booln = 162913208, intg = 162913208, 
      real = 9.7640776130341943e-285, string = 0x9b5dbb8, 
      name = 0x9b5dbb8 " C÷\004\005", array = 0x9b5dbb8, dict = 0x9b5dbb8, 
      stream = 0x9b5dbb8, ref = {num = 162913208, gen = 83311392}, 
      cmd = 0x9b5dbb8 " C÷\004\005"}}, {type = objNone, {booln = 9, intg = 9, 
      real = 2.1219957954118631e-314, string = 0x9, 
      name = 0x9 <Address 0x9 out of bounds>, array = 0x9, dict = 0x9, 
      stream = 0x9, ref = {num = 9, gen = 1}, 
      cmd = 0x9 <Address 0x9 out of bounds>}}, {type = objNone, {
      booln = 83217448, intg = 83217448, real = 6.7764575981993925e-262, 
      string = 0x4f5cc28, name = 0x4f5cc28 "\210Èõ\004ÐYù·°x\030", 
      array = 0x4f5cc28, dict = 0x4f5cc28, stream = 0x4f5cc28, ref = {
        num = 83217448, gen = 162879128}, 
      cmd = 0x4f5cc28 "\210Èõ\004ÐYù·°x\030"}}, {type = objNone, {
      booln = -1211589896, intg = -1211589896, real = 5.607338293111912e-285, 
      string = 0xb7c89af8, name = 0xb7c89af8 "\r", array = 0xb7c89af8, 
      dict = 0xb7c89af8, stream = 0xb7c89af8, ref = {num = -1211589896, 
        gen = 82489000}, cmd = 0xb7c89af8 "\r"}}, {type = objNone, {
      booln = -1233833481, intg = -1233833481, 
      real = 1.5005210642288352e-312, string = 0xb67531f7, 
      name = 0xb67531f7
"x\2343P0\200Ã\024C^.\003$~r./\227\223'/\227¾§¯BIQi*\220\025®`", array =
0xb67531f7, dict = 0xb67531f7, stream = 0xb67531f7, ref = {
        num = -1233833481, gen = 70}, 
      cmd = 0xb67531f7
"x\2343P0\200Ã\024C^.\003$~r./\227\223'/\227¾§¯BIQi*\220\025®`"}}, {type =
objNone, {booln = 83217448, intg = 83217448, 
      real = 6.5746210965593295e-262, string = 0x4f5cc28, 
      name = 0x4f5cc28 "\210Èõ\004ÐYù·°x\030", array = 0x4f5cc28, 
      dict = 0x4f5cc28, stream = 0x4f5cc28, ref = {num = 83217448, 
        gen = 162837476}, cmd = 0x4f5cc28 "\210Èõ\004ÐYù·°x\030"}}, {
    type = objNone, {booln = 82417281, intg = 82417281, 
      real = 6.7764575972966069e-262, string = 0x4e99681, 
      name = 0x4e99681
"\203øÿuÞ\203}\f\001tØ\213F\004\213\020\211\004$ÿR\020\2114$èaäùÿ\213G\b\213W\004\203À\001\211G\b;B\f}À\211\024$\211t$\b\211D$\004è",

      array = 0x4e99681, dict = 0x4e99681, stream = 0x4e99681, ref = {
        num = 82417281, gen = 162879128}, 
      cmd = 0x4e99681
"\203øÿuÞ\203}\f\001tØ\213F\004\213\020\211\004$ÿR\020\2114$èaäùÿ\213G\b\213W\004\203À\001\211G\b;B\f}À\211\024$\211t$\b\211D$\004è"}},
{type = objNone, {booln = 161498920, intg = 161498920, 
      real = 9.1615829152017633e-285, string = 0x9a04728, 
      name = 0x9a04728 "\210$­û=2u¶", array = 0x9a04728, dict = 0x9a04728, 
      stream = 0x9a04728, ref = {num = 161498920, gen = 83217448}, 
      cmd = 0x9a04728 "\210$­û=2u¶"}}, {type = objNone, {booln = 0, intg = 0, 
      real = -5.6493347589255e-40, string = 0x0, name = 0x0, array = 0x0, 
      dict = 0x0, stream = 0x0, ref = {num = 0, gen = -1211589832}, 
      cmd = 0x0}}, {type = objNone, {booln = 162837464, intg = 162837464, 
      real = 2.202448187783583e-314, string = 0x9b4b3d8, 
      name = 0x9b4b3d8 "ýÿÿÿ¨\202¡\t", array = 0x9b4b3d8, dict = 0x9b4b3d8, 
      stream = 0x9b4b3d8, ref = {num = 162837464, gen = 1}, 
      cmd = 0x9b4b3d8 "ýÿÿÿ¨\202¡\t"}}, {type = objNone, {booln = 83217448, 
      intg = 83217448, real = 9.1615827983101636e-285, string = 0x4f5cc28, 
      name = 0x4f5cc28 "\210Èõ\004ÐYù·°x\030", array = 0x4f5cc28, 
      dict = 0x4f5cc28, stream = 0x4f5cc28, ref = {num = 83217448, 
        gen = 83217448}, cmd = 0x4f5cc28 "\210Èõ\004ÐYù·°x\030"}}, {
    type = objNone, {booln = -1211589688, intg = -1211589688, 
      real = 5.3834839106418811e-285, string = 0xb7c89bc8, 
      name = 0xb7c89bc8 "è\233È·´6ê\004\n", array = 0xb7c89bc8, 
      dict = 0xb7c89bc8, stream = 0xb7c89bc8, ref = {num = -1211589688, 
        gen = 82419191}, cmd = 0xb7c89bc8 "è\233È·´6ê\004\n"}}, {
    type = objNone, {booln = 0, intg = 0, real = 1.4853970536756906e-312, 
      string = 0x0, name = 0x0, array = 0x0, dict = 0x0, stream = 0x0, ref = {
        num = 0, gen = 70}, cmd = 0x0}}, {type = objNone, {booln = 0, 
      intg = 0, real = 7.0119854444980811e-285, string = 0x0, name = 0x0, 
      array = 0x0, dict = 0x0, stream = 0x0, ref = {num = 0, gen = 82882272}, 
      cmd = 0x0}}, {type = objNone, {booln = 83217448, intg = 83217448, 
      real = 6.7552912234955656e-262, string = 0x4f5cc28, 
      name = 0x4f5cc28 "\210Èõ\004ÐYù·°x\030", array = 0x4f5cc28, 
      dict = 0x4f5cc28, stream = 0x4f5cc28, ref = {num = 83217448, 
        gen = 162874760}, cmd = 0x4f5cc28 "\210Èõ\004ÐYù·°x\030"}}, {
    type = objNone, {booln = -1211589752, intg = -1211589752, 
      real = 5.6490891283877264e-285, string = 0xb7c89b88, 
      name = 0xb7c89b88 "\r", array = 0xb7c89b88, dict = 0xb7c89b88, 
      stream = 0xb7c89b88, ref = {num = -1211589752, gen = 82502020}, 
      cmd = 0xb7c89b88 "\r"}}, {type = objNone, {booln = 528887, 
      intg = 528887, real = 2.6130489723203936e-318, string = 0x811f7, 
      name = 0x811f7 <Address 0x811f7 out of bounds>, array = 0x811f7, 
      dict = 0x811f7, stream = 0x811f7, ref = {num = 528887, gen = 0}, 
      cmd = 0x811f7 <Address 0x811f7 out of bounds>}}, {type = objNone, {
      booln = 83217448, intg = 83217448, real = 6.7764575981993925e-262, 
      string = 0x4f5cc28, name = 0x4f5cc28 "\210Èõ\004ÐYù·°x\030", 
      array = 0x4f5cc28, dict = 0x4f5cc28, stream = 0x4f5cc28, ref = {
        num = 83217448, gen = 162879128}, 
      cmd = 0x4f5cc28 "\210Èõ\004ÐYù·°x\030"}}, {type = objNone, {
      booln = 82481674, intg = 82481674, real = 1.4382773287971009e-304, 
      string = 0x4ea920a, 
      name = 0x4ea920a
"\203ÿÿ\211Eðt.\203À\001t)\211ø\203à\017\203ø\bt/\213\006\2114$ÿP$\215\223<íúÿ\211T$\004\211\004$èå®øÿ\220\215t&",
array = 0x4ea920a, 
      dict = 0x4ea920a, stream = 0x4ea920a, ref = {num = 82481674, 
        gen = 14237684}, 
      cmd = 0x4ea920a
"\203ÿÿ\211Eðt.\203À\001t)\211ø\203à\017\203ø\bt/\213\006\2114$ÿP$\215\223<íúÿ\211T$\004\211\004$èå®øÿ\220\215t&"}},
{type = objNone, {
      booln = 162837464, intg = 162837464, real = -5.6497833072545879e-40, 
      string = 0x9b4b3d8, name = 0x9b4b3d8 "ýÿÿÿ¨\202¡\t", array = 0x9b4b3d8, 
      dict = 0x9b4b3d8, stream = 0x9b4b3d8, ref = {num = 162837464, 
        gen = -1211589704}, cmd = 0x9b4b3d8 "ýÿÿÿ¨\202¡\t"}}, {
    type = objNone, {booln = 14242080, intg = 14242080, 
      real = 8.4886868161064215e-313, string = 0xd95120, name = 0xd95120 "", 
      array = 0xd95120, dict = 0xd95120, stream = 0xd95120, ref = {
        num = 14242080, gen = 40}, cmd = 0xd95120 ""}}, {type = objNone, {
      booln = 40, intg = 40, real = 6.5745628532885269e-262, string = 0x28, 
      name = 0x28 <Address 0x28 out of bounds>, array = 0x28, dict = 0x28, 
      stream = 0x28, ref = {num = 40, gen = 162837464}, 
      cmd = 0x28 <Address 0x28 out of bounds>}}, {type = objNone, {
      booln = 83217448, intg = 83217448, real = 6.7540894696204399e-262, 
      string = 0x4f5cc28, name = 0x4f5cc28 "\210Èõ\004ÐYù·°x\030", 
      array = 0x4f5cc28, dict = 0x4f5cc28, stream = 0x4f5cc28, ref = {
        num = 83217448, gen = 162874512}, 
      cmd = 0x4f5cc28 "\210Èõ\004ÐYù·°x\030"}}, {type = objNone, {
      booln = -1211589656, intg = -1211589656, 
      real = 5.5088678899134423e-285, string = 0xb7c89be8, 
      name = 0xb7c89be8 "(\234È·\027Íå\004\220©¥\t", array = 0xb7c89be8, 
      dict = 0xb7c89be8, stream = 0xb7c89be8, ref = {num = -1211589656, 
        gen = 82458292}, cmd = 0xb7c89be8 "(\234È·\027Íå\004\220©¥\t"}}}
	numArgs = 0
	i = 6
	lastAbortCheck = 0
	timer = (GooTimer *) 0xd93ff4
#19 0x04e5cd17 in Gfx::display (this=0x9a5a990, obj=0xb7c89e0c, topLevel=0)
    at Gfx.cc:557
	obj2 = {type = objNone, {booln = 1603776, intg = 1603776, 
    real = 7.9237062522469102e-318, string = 0x1878c0, 
    name = 0x1878c0 "Z\213\f$\211\004$\213D$\004Â\f", array = 0x1878c0, 
    dict = 0x1878c0, stream = 0x1878c0, ref = {num = 1603776, gen = 0}, 
    cmd = 0x1878c0 "Z\213\f$\211\004$\213D$\004Â\f"}}
	i = <value optimized out>
#20 0x04e5f6f5 in Gfx::doShowText (this=0x9a5a990, s=0x9b3d808) at Gfx.cc:3241
	font = (class GfxFont *) 0x99f8400
	wMode = 0
	riseX = 0
	riseY = 0
	code = 1
	u = {65533, 656, 13271745, 58657919, 0, 162781192, 161253577, 
  161253565}
	x = 0
	y = 0
	dx = 0
	dy = 0
	dx2 = <value optimized out>
	dy2 = <value optimized out>
	curX = 152.37647000000001
	curY = 29.418284
	tdx = 0
	tdy = 0
	lineX = 0
	lineY = 0
	originX = <value optimized out>
	originY = <value optimized out>
	oldCTM = {1, 0, 0, -1, -0, 791.99998300000004}
	mat = <value optimized out>
	charProc = {type = objStream, {booln = 162879128, intg = 162879128, 
    real = 3.4032405637013736e-313, string = 0x9b55698, 
    name = 0x9b55698 "\210¼õ\004\003", array = 0x9b55698, dict = 0x9b55698, 
    stream = 0x9b55698, ref = {num = 162879128, gen = 16}, 
    cmd = 0x9b55698 "\210¼õ\004\003"}}
	resDict = (Dict *) 0x0
	oldParser = (Parser *) 0x9a5ac68
	p = 0x9b3d808 "\001"
	len = 1
	n = 1
	uLen = 1
	nChars = <value optimized out>
	nSpaces = <value optimized out>
	i = <value optimized out>
#21 0x04e5fcae in Gfx::opShowText (this=0x9a5a990, args=0xb7c89f14, numArgs=1)
    at Gfx.cc:3077
No locals.
#22 0x04e5b923 in Gfx::execOp (this=0x9a5a990, cmd=0xb7c8a0a0, 
    args=0xb7c89f14, numArgs=<value optimized out>) at Gfx.cc:726
	op = (Operator *) 0x4f6d75c
	name = 0x9a05d20 "Tj"
	argPtr = (Object *) 0xb7c89f14
	i = 1
#23 0x04e5c75c in Gfx::go (this=0x9a5a990, topLevel=1) at Gfx.cc:594
	obj = {type = objCmd, {booln = 161504544, intg = 161504544, 
    real = 29.418274499560653, string = 0x9a05d20, name = 0x9a05d20 "Tj", 
    array = 0x9a05d20, dict = 0x9a05d20, stream = 0x9a05d20, ref = {
      num = 161504544, gen = 1077766932}, cmd = 0x9a05d20 "Tj"}}
	args = {{type = objString, {booln = 162781192, intg = 162781192, 
      real = 29.418274504096217, string = 0x9b3d808, name = 0x9b3d808 "\001", 
      array = 0x9b3d808, dict = 0x9b3d808, stream = 0x9b3d808, ref = {
        num = 162781192, gen = 1077766932}, cmd = 0x9b3d808 "\001"}}, {
    type = objNone, {booln = 0, intg = 0, real = 7.5249366760253906, 
      string = 0x0, name = 0x0, array = 0x0, dict = 0x0, stream = 0x0, ref = {
        num = 0, gen = 1075714441}, cmd = 0x0}}, {type = objNone, {booln = 0, 
      intg = 0, real = 7.5249366760253906, string = 0x0, name = 0x0, 
      array = 0x0, dict = 0x0, stream = 0x0, ref = {num = 0, 
        gen = 1075714441}, cmd = 0x0}}, {type = objNone, {booln = -552504594, 
      intg = -552504594, real = 7.5249399999999991, string = 0xdf1172ee, 
      name = 0xdf1172ee <Address 0xdf1172ee out of bounds>, 
      array = 0xdf1172ee, dict = 0xdf1172ee, stream = 0xdf1172ee, ref = {
        num = -552504594, gen = 1075714441}, 
      cmd = 0xdf1172ee <Address 0xdf1172ee out of bounds>}}, {type = objNone, 
    {booln = 181419419, intg = 181419419, real = 152.37647000000001, 
      string = 0xad03d9b, name = 0xad03d9b <Address 0xad03d9b out of bounds>, 
      array = 0xad03d9b, dict = 0xad03d9b, stream = 0xad03d9b, ref = {
        num = 181419419, gen = 1080232972}, 
      cmd = 0xad03d9b <Address 0xad03d9b out of bounds>}}, {type = objNone, {
      booln = -1459326808, intg = -1459326808, real = 29.418284, 
      string = 0xa90470a8, 
      name = 0xa90470a8 <Address 0xa90470a8 out of bounds>, 
      array = 0xa90470a8, dict = 0xa90470a8, stream = 0xa90470a8, ref = {
        num = -1459326808, gen = 1077766932}, 
      cmd = 0xa90470a8 <Address 0xa90470a8 out of bounds>}}, {type = objNone, 
    {booln = 1563488, intg = 1563488, real = 3.3082117690588856e-285, 
      string = 0x17db60, name = 0x17db60 "\203ø", array = 0x17db60, 
      dict = 0x17db60, stream = 0x17db60, ref = {num = 1563488, 
        gen = 81755108}, cmd = 0x17db60 "\203ø"}}, {type = objNone, {
      booln = 1640372, intg = 1640372, real = 1.2732055790936794e-312, 
      string = 0x1907b4, name = 0x1907b4 "´\005ù·R", array = 0x1907b4, 
      dict = 0x1907b4, stream = 0x1907b4, ref = {num = 1640372, gen = 60}, 
      cmd = 0x1907b4 "´\005ù·R"}}, {type = objNone, {booln = 5, intg = 5, 
      real = 2.4703282292062327e-323, string = 0x5, 
      name = 0x5 <Address 0x5 out of bounds>, array = 0x5, dict = 0x5, 
      stream = 0x5, ref = {num = 5, gen = 0}, 
      cmd = 0x5 <Address 0x5 out of bounds>}}, {type = objNone, {
      booln = 162056040, intg = 162056040, real = 2.3622605016665506e-262, 
      string = 0x9a8c768, name = 0x9a8c768 "\210Ø®\t\210\032µ\t\020", 
      array = 0x9a8c768, dict = 0x9a8c768, stream = 0x9a8c768, ref = {
        num = 162056040, gen = 161333504}, 
      cmd = 0x9a8c768 "\210Ø®\t\210\032µ\t\020"}}, {type = objNone, {
      booln = 5, intg = 5, real = 2.1219957934356005e-314, string = 0x5, 
      name = 0x5 <Address 0x5 out of bounds>, array = 0x5, dict = 0x5, 
      stream = 0x5, ref = {num = 5, gen = 1}, 
      cmd = 0x5 <Address 0x5 out of bounds>}}, {type = objNone, {
      booln = -1211588524, intg = -1211588524, 
      real = 3.8519911885968411e-262, string = 0xb7c8a054, 
      name = 0xb7c8a054 "ÿÿÿÿ\r", array = 0xb7c8a054, dict = 0xb7c8a054, 
      stream = 0xb7c8a054, ref = {num = -1211588524, gen = 162021960}, 
      cmd = 0xb7c8a054 "ÿÿÿÿ\r"}}, {type = objNone, {booln = -1211588664, 
      intg = -1211588664, real = 5.6073382931128318e-285, 
      string = 0xb7c89fc8, name = 0xb7c89fc8 "\r", array = 0xb7c89fc8, 
      dict = 0xb7c89fc8, stream = 0xb7c89fc8, ref = {num = -1211588664, 
        gen = 82489000}, cmd = 0xb7c89fc8 "\r"}}, {type = objNone, {
      booln = 14242080, intg = 14242080, real = 4.2510281043838673e-314, 
      string = 0xd95120, name = 0xd95120 "", array = 0xd95120, 
      dict = 0xd95120, stream = 0xd95120, ref = {num = 14242080, gen = 2}, 
      cmd = 0xd95120 ""}}, {type = objNone, {booln = 83217448, 
      intg = 83217448, real = -5.6541272675508891e-40, string = 0x4f5cc28, 
      name = 0x4f5cc28 "\210Èõ\004ÐYù·°x\030", array = 0x4f5cc28, 
      dict = 0x4f5cc28, stream = 0x4f5cc28, ref = {num = 83217448, 
        gen = -1211588464}, cmd = 0x4f5cc28 "\210Èõ\004ÐYù·°x\030"}}, {
    type = objNone, {booln = 81787722, intg = 81787722, 
      real = 3.8519894953295655e-262, string = 0x4dffb4a, 
      name = 0x4dffb4a "_ZN3Gfx2goEi", array = 0x4dffb4a, dict = 0x4dffb4a, 
      stream = 0x4dffb4a, ref = {num = 81787722, gen = 162021960}, 
      cmd = 0x4dffb4a "_ZN3Gfx2goEi"}}, {type = objNone, {booln = 161498920, 
      intg = 161498920, real = 3.6345593481161327e-139, string = 0x9a04728, 
      name = 0x9a04728 "\210$­û=2u¶", array = 0x9a04728, dict = 0x9a04728, 
      stream = 0x9a04728, ref = {num = 161498920, gen = 590434330}, 
      cmd = 0x9a04728 "\210$­û=2u¶"}}, {type = objNone, {booln = 0, intg = 0, 
      real = -5.6536507581956205e-40, string = 0x0, name = 0x0, array = 0x0, 
      dict = 0x0, stream = 0x0, ref = {num = 0, gen = -1211588600}, 
      cmd = 0x0}}, {type = objNone, {booln = 161253536, intg = 161253536, 
      real = 2.201665623373297e-314, string = 0x99c88a0, 
      name = 0x99c88a0 "\r", array = 0x99c88a0, dict = 0x99c88a0, 
      stream = 0x99c88a0, ref = {num = 161253536, gen = 1}, 
      cmd = 0x99c88a0 "\r"}}, {type = objNone, {booln = 83217448, 
      intg = 83217448, real = 9.1615827983101636e-285, string = 0x4f5cc28, 
      name = 0x4f5cc28 "\210Èõ\004ÐYù·°x\030", array = 0x4f5cc28, 
      dict = 0x4f5cc28, stream = 0x4f5cc28, ref = {num = 83217448, 
        gen = 83217448}, cmd = 0x4f5cc28 "\210Èõ\004ÐYù·°x\030"}}, {
    type = objNone, {booln = -1211588456, intg = -1211588456, 
      real = 5.3834839106428009e-285, string = 0xb7c8a098, 
      name = 0xb7c8a098 "h´\t \210\234\t\n", array = 0xb7c8a098, 
      dict = 0xb7c8a098, stream = 0xb7c8a098, ref = {num = -1211588456, 
        gen = 82419191}, cmd = 0xb7c8a098 "h´\t \210\234\t\n"}}, {
    type = objNone, {booln = 0, intg = 0, real = 3.6498327604602684e-312, 
      string = 0x0, name = 0x0, array = 0x0, dict = 0x0, stream = 0x0, ref = {
        num = 0, gen = 172}, cmd = 0x0}}, {type = objNone, {booln = 0, 
      intg = 0, real = 7.0119854444980811e-285, string = 0x0, name = 0x0, 
      array = 0x0, dict = 0x0, stream = 0x0, ref = {num = 0, gen = 82882272}, 
      cmd = 0x0}}, {type = objNone, {booln = 83217448, intg = 83217448, 
      real = 2.597823645553313e-262, string = 0x4f5cc28, 
      name = 0x4f5cc28 "\210Èõ\004ÐYù·°x\030", array = 0x4f5cc28, 
      dict = 0x4f5cc28, stream = 0x4f5cc28, ref = {num = 83217448, 
        gen = 161504328}, cmd = 0x4f5cc28 "\210Èõ\004ÐYù·°x\030"}}, {
    type = objNone, {booln = -1211588520, intg = -1211588520, 
      real = 1.4421405252377648e-304, string = 0xb7c8a058, 
      name = 0xb7c8a058 "\r", array = 0xb7c8a058, dict = 0xb7c8a058, 
      stream = 0xb7c8a058, ref = {num = -1211588520, gen = 14242128}, 
      cmd = 0xb7c8a058 "\r"}}, {type = objNone, {booln = 6, intg = 6, 
      real = 3.3082117684752293e-285, string = 0x6, 
      name = 0x6 <Address 0x6 out of bounds>, array = 0x6, dict = 0x6, 
      stream = 0x6, ref = {num = 6, gen = 81755108}, 
      cmd = 0x6 <Address 0x6 out of bounds>}}, {type = objNone, {
      booln = 83217448, intg = 83217448, real = -nan(0xfffff04f5cc28), 
      string = 0x4f5cc28, name = 0x4f5cc28 "\210Èõ\004ÐYù·°x\030", 
      array = 0x4f5cc28, dict = 0x4f5cc28, stream = 0x4f5cc28, ref = {
        num = 83217448, gen = -1}, cmd = 0x4f5cc28 "\210Èõ\004ÐYù·°x\030"}}, {
    type = objNone, {booln = 81755108, intg = 81755108, 
      real = -4.6562121698307701e-39, string = 0x4df7be4, 
      name = 0x4df7be4 "¶i", array = 0x4df7be4, dict = 0x4df7be4, 
      stream = 0x4df7be4, ref = {num = 81755108, gen = -1208395312}, 
      cmd = 0x4df7be4 "¶i"}}, {type = objNone, {booln = 1581112, 
      intg = 1581112, real = -4.6574452601634025e-39, string = 0x182038, 
      name = 0x182038 "\203ì\024\211Æe¡\f", array = 0x182038, 
      dict = 0x182038, stream = 0x182038, ref = {num = 1581112, 
        gen = -1208394872}, cmd = 0x182038 "\203ì\024\211Æe¡\f"}}, {
    type = objNone, {booln = 1, intg = 1, real = 1.0609978955320427e-313, 
      string = 0x1, name = 0x1 <Address 0x1 out of bounds>, array = 0x1, 
      dict = 0x1, stream = 0x1, ref = {num = 1, gen = 5}, 
      cmd = 0x1 <Address 0x1 out of bounds>}}, {type = objNone, {
      booln = 81787722, intg = 81787722, real = 4.0408503691814328e-316, 
      string = 0x4dffb4a, name = 0x4dffb4a "_ZN3Gfx2goEi", array = 0x4dffb4a, 
      dict = 0x4dffb4a, stream = 0x4dffb4a, ref = {num = 81787722, gen = 0}, 
      cmd = 0x4dffb4a "_ZN3Gfx2goEi"}}, {type = objNone, {booln = 5, 
      intg = 5, real = 3.3082117684752289e-285, string = 0x5, 
      name = 0x5 <Address 0x5 out of bounds>, array = 0x5, dict = 0x5, 
      stream = 0x5, ref = {num = 5, gen = 81755108}, 
      cmd = 0x5 <Address 0x5 out of bounds>}}, {type = objNone, {
      booln = 161852520, intg = 161852520, real = 2.2653836327723996e-262, 
      string = 0x9a5ac68, name = 0x9a5ac68 "èJ \t \210\234\t", 
      array = 0x9a5ac68, dict = 0x9a5ac68, stream = 0x9a5ac68, ref = {
        num = 161852520, gen = 161253536}, 
      cmd = 0x9a5ac68 "èJ \t \210\234\t"}}}
	numArgs = 1
	i = 6
	lastAbortCheck = 0
	timer = (GooTimer *) 0x10
#24 0x04e5cd17 in Gfx::display (this=0x9a5a990, obj=0xb7c8a17c, topLevel=1)
    at Gfx.cc:557
	obj2 = {type = objNone, {booln = 162021960, intg = 162021960, 
    real = -5.65495409792277e-40, string = 0x9a84248, name = 0x9a84248 "?", 
    array = 0x9a84248, dict = 0x9a84248, stream = 0x9a84248, ref = {
      num = 162021960, gen = -1211588228}, cmd = 0x9a84248 "?"}}
	i = <value optimized out>
#25 0x04ea25d6 in Page::displaySlice (this=0x9a14878, out=0x9761318, hDPI=72, 
    vDPI=72, rotate=0, useMediaBox=0, crop=1, sliceX=-1, sliceY=-1, 
    sliceW=-1, sliceH=-1, printing=0, catalog=0x9a04b58, abortCheckCbk=0, 
    abortCheckCbkData=0x0, annotDisplayDecideCbk=0, 
    annotDisplayDecideCbkData=0x0) at Page.cc:406
	gfx = (Gfx *) 0x9a5a990
	obj = {type = objArray, {booln = 161565256, intg = 161565256, 
    real = 7.9823842551146333e-316, string = 0x9a14a48, 
    name = 0x9a14a48 "èJ \t`J¡\t\020", array = 0x9a14a48, dict = 0x9a14a48, 
    stream = 0x9a14a48, ref = {num = 161565256, gen = 0}, 
    cmd = 0x9a14a48 "èJ \t`J¡\t\020"}}
	annotList = <value optimized out>
	acroForm = <value optimized out>
	i = <value optimized out>
#26 0x0085284d in poppler_page_render (page=0x99b5b68, cairo=0x99ffc48)
    at poppler-page.cc:438
	output_dev = (class CairoOutputDev *) 0x9761318
	__PRETTY_FUNCTION__ = "void poppler_page_render(PopplerPage*, cairo_t*)"
#27 0x0809cc3b in pdf_document_render (document=0x99b5b40, rc=0x99b5600)
    at ev-poppler.cc:496
	surface = (cairo_surface_t *) 0x9a7e0d0
	width_points = 611.99998300000004
	height_points = 791.99998300000004
	width = 1118
	height = 1447
	cr = (cairo_t *) 0x99ffc48
#28 0x08095450 in ev_document_render (document=0x99b5b40, rc=0x99b5600)
    at ev-document.c:221
	retval = (cairo_surface_t *) 0x0
	__PRETTY_FUNCTION__ = "ev_document_render"
#29 0x0805f791 in ev_job_render_run (job=0x99a38d0) at ev-jobs.c:374
	__PRETTY_FUNCTION__ = "ev_job_render_run"
#30 0x0805db93 in handle_job (job=0x99a38d0) at ev-job-queue.c:136
	__PRETTY_FUNCTION__ = "handle_job"
#31 0x0805e0fc in ev_render_thread (data=0x0) at ev-job-queue.c:263
	job = (EvJob *) 0x99a38d0
#32 0x055c9bff in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#33 0x00dd150b in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#34 0x00d12b2e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 1 (Thread -1208432864 (LWP 14166)):
#0  0x00110402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00d08ac3 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x055a9623 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x055a9999 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x057d6422 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#5  0x08086c80 in main (argc=2, argv=) at main.c:383
	enable_metadata = 1
	context = <value optimized out>
	args = (GHashTable *) 0x971e700
	program = (GnomeProgram *) 0x9725810
#6  0x00c55390 in __libc_start_main () from /lib/libc.so.6
No symbol table info available.
#7  0x0805aa61 in _start ()
No symbol table info available.
#0  0x00110402 in __kernel_vsyscall ()
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y;
input not from terminal]


----------- .xsession-errors ---------------------
Find Items 0
evince-thumbnailer: CairoOutputDev.cc:923: void
CairoOutputDev::drawImageMaskPrescaled(GfxState*, Object*, Stream*, int, int,
GBool, GBool): Assertion `0 && "over run\n"' failed.
1 1
evince: CairoOutputDev.cc:923: void
CairoOutputDev::drawImageMaskPrescaled(GfxState*, Object*, Stream*, int, int,
GBool, GBool): Assertion `0 && "over run\n"' failed.
1 1
evince: CairoOutputDev.cc:923: void
CairoOutputDev::drawImageMaskPrescaled(GfxState*, Object*, Stream*, int, int,
GBool, GBool): Assertion `0 && "over run\n"' failed.
1 1
get roddclarkson pop://roddclarkson@203.30.47.46/
Find Items 0
get roddclarkson pop://roddclarkson@203.30.47.46/
Find Items 0
evince: CairoOutputDev.cc:923: void
CairoOutputDev::drawImageMaskPrescaled(GfxState*, Object*, Stream*, int, int,
GBool, GBool): Assertion `0 && "over run\n"' failed.
1 1
Cannot access memory at address 0xc
Cannot access memory at address 0xc
--------------------------------------------------
Comment 3 Rodd Clarkson 2008-05-06 00:50:18 EDT
This all works in rawhide (f9-preview), however, it may not be working in f8 yet.

I know that some other f8 print issues that are still a problem in f8 are now
also resolved in f9.

Is it possible to upgrade f8 to the evince/popplar/cairo used in f9?
Comment 4 Bug Zapper 2008-11-26 01:52:31 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 01:54:11 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.